Subject: Re: bug#33070: Underlying Gzip library

From: Mark Adler <[email-masked]>
Date: Tue, 16 Oct 2018 17:58:04 -0700

Charlie,

The library you speak of was created about 23 years ago. It’s called “zlib”. That TODO file looks like it hasn’t changed much in the last quarter century.

As for gzip making use of that library, that has not yet occurred. And probably doesn’t need to. There does exist another implementation of gzip called “pigz” which in fact uses zlib for compression and decompression. (It also offers parallel compression.)

Mark

> On Oct 16, 2018, at 5:12 PM, Charlie Sale <[email-masked]> wrote:
> 
> Hello Gzip.
> 
> I am new to this project, and I read on the TODO file that there is a plan
> to move the compression and decompression code into a library that gzip
> would run on top of. Is this still a planned feature? If so, I am
> interested in giving it a shot.
> 
> Would this be welcomed?
> 
> Thanks
> Charlie